
const engine = "executable"

dim as string FEN(1 to 5) = {_
  "rnbqkbnr/pppppppp/8/8/8/8/PPPPPPPP/RNBQKBNR w KQkq - 0 1", _
  "rnbqkbnr/pppppppp/8/8/4P3/8/PPPP1PPP/RNBQKBNR b KQkq e3 0 1", _
  "rnbqkbnr/pp1ppppp/8/2p5/4P3/8/PPPP1PPP/RNBQKBNR w KQkq c6 0 2", _
  "rnbqkbnr/pp1ppppp/8/2p5/4P3/5N2/PPPP1PPP/RNBQKB1R b KQkq - 1 2", _
  "4k3/8/8/8/8/8/4P3/4K3 w - - 5 39" _
}

declare function Exists(file as string) as integer
declare function EngineMove(exe as string, param as string) as string

dim move as string

open "test9.txt" for output as #1

if Exists(engine) then
  move = EngineMove(engine, FEN(1))
  print #1, left(move, 4)
  print #1, mid(move, 5, 1)
  print #1, mid(move, 6, 1)
else
  print #1, "Executable engine not found"
end if

close #1

function Exists(file as string) as integer
  return (len(dir(file)) > 0) or (len(dir(file & ".exe")) > 0)
end function

function EngineMove(exe as string, param as string) as string
  dim n as ubyte = freefile
  open pipe exe & " " & """" & param & """" for input as #n
  dim as string s
  line input #n, s
  close #n
  function = s
end function
